I was trying to solve COUNT(spoj problem).I am able to solve it using 3D DP but it will give segmentation fault because of the constraints.Can anyone help?
| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
I was trying to solve COUNT(spoj problem).I am able to solve it using 3D DP but it will give segmentation fault because of the constraints.Can anyone help?
| Name |
|---|



Always post the link to the problem when you ask for help.
Solution:
dp[n][k]-- the answer.One can fix the number of ones in final partition:
0ones --dp[n - k][k]ways,1one --dp[n - k][k - 1]ways,...
nones --dp[n - k][0]ways.So
.
dp[n][k]=Link to the problem : here
How is it different from P(n,k), partitioning ‘n’ elements in ‘k’ sets?